## helma.util
Class CryptResource

    java.lang.Object
      helma.util.CryptResource

    public class CryptResource

extends java.lang.Object

This file authenticates against a passwd source

Constructor Summary
`CryptResource(Resource resource, CryptResource parentResource)` Creates a new CryptSource object.

Method Summary
`boolean` `authenticate(java.lang.String username, java.lang.String pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CryptResource

    public CryptResource(Resource resource,
                         CryptResource parentResource)

  Creates a new CryptSource object.

  Parameters:
    `resource` - ...
    `parentResource` - ...

Method Detail

### authenticate

    public boolean authenticate(java.lang.String username,
                                java.lang.String pw)

  Parameters:
    `username` - ...
    `pw` - ...
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.